<?php
/**
 * @package Architect Architecture
 * Setup the WordPress core custom header feature.
 *
 * @uses architect_architecture_header_style()
*/
function architect_architecture_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'architect_architecture_custom_header_args', array(
		'header-text' 			 =>	false,
		'width'                  => 1600,
		'height'                 => 200,
		'flex-width'    		 => true,
		'flex-height'    		 => true,
		'wp-head-callback'       => 'architect_architecture_header_style',
	) ) );
}
add_action( 'after_setup_theme', 'architect_architecture_custom_header_setup' );

if ( ! function_exists( 'architect_architecture_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog
 *
 * @see architect_architecture_custom_header_setup().
 */
add_action( 'wp_enqueue_scripts', 'architect_architecture_header_style' );

function architect_architecture_header_style() {
	if ( get_header_image() ) :
	$custom_css = "
        .home-page-header{
			background-image:url('".esc_url(get_header_image())."');
			background-position: center top;
		    background-size: cover;
		}";
	   	wp_add_inline_style( 'architect-architecture-basic-style', $custom_css );
	endif;
}
endif;